org.apache.hc.client5.http.impl.cookie

## Class RFC6265LaxSpec

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.RFC6265CookieSpec
  - - org.apache.hc.client5.http.impl.cookie.RFC6265LaxSpec

All Implemented Interfaces:
  CookieSpec

    @ThreadSafe
    public class RFC6265LaxSpec
    extends RFC6265CookieSpec

Standard `CookieSpec` implementation that enforces a more relaxed interpretation of the HTTP state management specification (RFC 6265, section 5) for interoperability with existing servers that do not conform to the well behaved profile (RFC 6265, section 4).

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`RFC6265LaxSpec()`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.apache.hc.client5.http.impl.cookie.RFC6265CookieSpec

`formatCookies, match, parse, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RFC6265LaxSpec

    public RFC6265LaxSpec()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`